Get Workspace Secrets
curl --request GET \
--url https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/security/secrets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/security/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/security/secrets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"openaiApiKey": {
"value": "some secret api key"
},
"allowedModels": {
"value": [
"gpt4",
"gpt4o"
]
}
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Secrets
Get Workspace Secrets
Fetch workspace’s secrets
GET
/
v2
/
workspaces
/
{workspaceId}
/
security
/
secrets
Get Workspace Secrets
curl --request GET \
--url https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/security/secrets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/security/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/security/secrets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"openaiApiKey": {
"value": "some secret api key"
},
"allowedModels": {
"value": [
"gpt4",
"gpt4o"
]
}
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Authorizations
BearerAuthOrgApiKeyAuthBearerAuth & OrgApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace id
Response
Success Response
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Related topics
Secrets ModuleGet WorkspaceDelete Workspace SecretPatch Workspace SecretsUpdate Workspace SecretsWas this page helpful?